Subject: [IPsec] Signature authentication in IKEv2

From: Tero Kivinen <[email-masked]>
Date: Tue, 12 Mar 2013 21:56:22 +0200

In the meeting I did not remember what was the name the PKIX had for
the signature blob, and in my slides written at midnight Sunday
evening, I said SubjectPublicKeyInfo, so here I am to provide some
correct information...

So the thing is what is both in the signatureAlgorithm and
SubjectPublicKeyInfo, i.e. the AlgorithmI?dentifier:

   AlgorithmIdentifier  ::=  SEQUENCE  {
        algorithm               OBJECT IDENTIFIER,
        parameters              ANY DEFINED BY algorithm OPTIONAL  }

I.e where there algorithm is the OID we currently have in the
draft-kivinen-ipsecme-signature-auth, and the parameters is the one is
required to get the RSASSA-PSS to work.

Anybody has objection to do it this way?
-- 
[email-masked]